> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop a conversation. Returns null if already stopped or conversation was not found.



## OpenAPI

````yaml https://api.equos.ai/docs/v3-json post /v3/conversations/{id}/stop
openapi: 3.0.0
info:
  title: Equos.ai API
  description: API documentation for Equos.ai live platform.
  version: '3.0'
  contact: {}
servers:
  - url: https://api.equos.ai
security: []
tags: []
paths:
  /v3/conversations/{id}/stop:
    post:
      tags:
        - Conversation
      summary: >-
        Stop a conversation. Returns null if already stopped or conversation was
        not found.
      operationId: stopConversation
      parameters:
        - name: id
          required: true
          in: path
          description: Equos conversation id
          schema:
            type: string
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                nullable: true
                allOf:
                  - $ref: '#/components/schemas/EquosConversation'
      security:
        - x-api-key: []
components:
  schemas:
    EquosConversation:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        client:
          type: string
          nullable: true
        status:
          type: string
          enum:
            - running
            - blocked
            - ended
            - error
        room:
          type: string
          nullable: true
        serverUrl:
          type: string
          nullable: true
        remoteAgentName:
          type: string
          nullable: true
        remoteAgentIdentity:
          type: string
          nullable: true
        consumerName:
          type: string
          nullable: true
        consumerIdentity:
          type: string
          nullable: true
        charge:
          type: boolean
        chargeBySecond:
          type: number
        maxSeconds:
          type: number
        promptCtx:
          type: string
          nullable: true
        promptTemplateVars:
          type: object
          nullable: true
          additionalProperties:
            type: string
        transcript:
          nullable: true
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/EquosConversationUtterance'
        timeline:
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/EquosTimelineEntry'
        startedAt:
          format: date-time
          type: string
        joinedAt:
          format: date-time
          type: string
          nullable: true
        endedAt:
          format: date-time
          type: string
          nullable: true
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
        characterId:
          type: string
        organizationId:
          type: string
      required:
        - id
        - name
        - status
        - charge
        - chargeBySecond
        - maxSeconds
        - startedAt
        - createdAt
        - updatedAt
        - characterId
        - organizationId
    EquosConversationUtterance:
      type: object
      properties:
        id:
          type: string
        author:
          type: string
          enum:
            - user
            - character
        content:
          type: string
        recordedAt:
          format: date-time
          type: string
      required:
        - id
        - author
        - content
        - recordedAt
    EquosTimelineEntry:
      type: object
      properties:
        type:
          type: string
        author:
          type: string
        content:
          type: string
        recordedAt:
          type: string
      required:
        - type
        - recordedAt
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````